Subject: Re: bug#24050: 24.5; ispell-change-dictionary suggests non-existent dicts (aspell)

From: Agustin Martin <[email-masked]>
Date: Mon, 29 Jul 2019 16:32:51 +0200

On Sun, Jul 28, 2019 at 05:51:34PM +0300, Eli Zaretskii wrote:
> > From: Lars Ingebrigtsen <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Sun, 28 Jul 2019 16:25:39 +0200
> > 
> > > The OP's suggestion would make sense if the list created by that
> > > function was only used for completion.  However, in fact we also force
> > > the user to specify a dictionary from the list, i.e. the selection
> > > must match one of the members of the list.  So this change is for the
> > > worse.
> > 
> > OK; I can revert, but I don't quite understand your objection.  If you
> > choose a dictionary that's not in the list aspell/hunspell returned, the
> > next time you hit `M-$' you'll just get an error message.
> 
> You assume that a dictionary not in the list doesn't exist; but that
> isn't a given.  I've heard enough reports from users who for some
> reason or other bumped into situations where ispell.el couldn't figure
> out correctly what dictionaries are installed.  The standard list
> (which is also customizable) leaves a "fire escape" for those cases.

IIRC the original discussion was in the thread starting with

https://lists.gnu.org/archive/html/emacs-devel/2005-10/msg00566.html

The problem was with aspell dicts not having .dat file, and the workaround
was to preserve default values. Not sure if code has been changed
afterwards.

-- 
Agustin